package net.sf.jasperreports.charts;

import java.awt.Color;
import net.sf.jasperreports.engine.JRFont;

public interface JRCategoryAxisFormat {
  JRFont getCategoryAxisLabelFont();
  
  Color getCategoryAxisLabelColor();
  
  Color getOwnCategoryAxisLabelColor();
  
  JRFont getCategoryAxisTickLabelFont();
  
  Color getCategoryAxisTickLabelColor();
  
  Color getOwnCategoryAxisTickLabelColor();
  
  String getCategoryAxisTickLabelMask();
  
  Color getCategoryAxisLineColor();
  
  Color getOwnCategoryAxisLineColor();
}
